21. VAN HANH - GIAM SAT - Task #1216

add monitor 2 server Hyve hom trc méi add cho cum proxmox XD
30-09-2024 09:11 - Tran Quang Khai

Trang thai: Closed Bat dau: 30-09-2024

Muc uu tién: Normal Hét han: 01-10-2024

Phan céng cho: Tran Quang Khai Tién do: 100%

Chu dé: Thoi gian uéc 0:00 gio
luong:

Phién ban: Thoi gian: 0:00 gio

M6 ta

Add monitor:

e Ceph Storage

¢ Tai nguyén Server: Ram,CPU,Network,Free Disk ...
e Up/Down server

¢ Add monitor Hardware qua IPMI

Lugc su

#1 - 01-10-2024 09:25 - Tran Quang Khai
- Tap tin Screenshot_3.png dugc thém
- Tép tin Screenshot_2.png dugc thém

e Add monitor: Tai nguyén Server: Ram,CPU,Network,Free Disk ... Up/Down server thong qua lay API Proxmox
* Da add monitor cho 2 IP-10.2.150.29 va IP-10.2.150.30 Proxmox xong
¢ DAy la két qua test bén zabbix da oke tra vé 200 '

Testitem

Host address Port
at Proxy | (no proxy) v
o
Value | 200 Time | now
Not supported
Previous value Prev. time
@ End of line sequence CRLF
Mactos [ 1spVE TOKEN D} = | root@pamizabbix
i {$PVE TOKEN.SECRET} = | 9abfc6a3-2177-49b8-844d-1743a1539a4
D
{SPVE.URL.PORT} = | 8006
{rosTcony
Preprocessing steps
1: Discard unchanged with heartbeat 200
Result 200

OK (200)

ServerActive=10.16.16.27
Plugins.Ceph.InsecureSkipVerify=true

AllowKey=system.run[*]

e Ceph dang ti€n hanh add va note thém

#2 - 01-10-2024 09:25 - Tran Quang Khai
- Hét han gan cho 01-10-2024
- Phién bdn gén cho 30/9/2024 - 6/10/2024
- Tién dé thay ddi tir 0 t6i 50

#3 - 01-10-2024 09:26 - Tran Quang Khai
- Phién bén xda (30/9/2024 - 6/10/2024)

#4 - 03-10-2024 09:55 - Tran Quang Khai

- Tép tin Screenshot_3.png dugc thém

- Tép tin f.png duoc thém

- Tép tin Screenshot_18.png dugc thém

- Tép tin Screenshot_19.png dugc thém

- Tép tin Screenshot_20.png dugc thém

- Tép tin Screenshot_21.png dugc thém

- Tép tin Screenshot_22.png dugc thém

- Trang thai thay ddi tir In Progress t6i Resolved
- Tién dé thay ddi tir 50 t6i 100

- Add monitor Ceph Storage

Budc 1: Tién hanh vao IP Proxmox vao console cai zabbix_agent2

Budc 2: Cau hinh file

IP Zabbix Server = 10.16.16.27: thi ban thay vao IP vao phan IP_Zabbix_Server
Thém 2 doan trong dudng dan dé nhu hinh:

ServerActive=10.16.16.27
Plugins.Ceph.InsecureSkipVerify=true

AllowKEey=system.run[*]

Budc 3: Luu cau hinh va vao dudng dan /etc/zabbix/ céu hinh thém éiyfile dugi anh:
root@hyve-proxl0:~# cd /etc/zabbix/
root@hyve-proxl0:/etc/zabbix# 1s

cephstatus.sh cephstatus.txt docfile.sh zabbix agent2.conf =zabbix agent2.d
~oot@hyve-pro :/etc/zabbix# I

root@hyve-proxl0:/etc/zabbix# cat cephstatus.sh
¥!/bin/sh

ceph health > /etc/zabbix/cephstatus.txt

date - fetc/zabbix/cephstatus.txt
root@hyve-prox10:/etc/zabbix# cat cephstatus.
cephstatus.sh cephstatus.txt
root@hyve-prox10: /etc/zabbix# cat docfile.sh
¥!/bin/sh

value= cat /etc/zabbix/cephstatus.txt
echo "Svalue"
root@hyve-prox10:/etc/zabbix# I

Budc 4: Cau hinh crotab ty ddng méi phut chay 1énh d6 1 1an:
2 Reboot | | (O Shutdown

Each task to run has to be defined through a single line
indicating with different fields when the task will be run
and what command to run for the task

To define the time you can provide concrete wvalues for
minute (m), hour (h), day of month (dom), month (mon),
and day of week (dow) or use '*' in these fields (for 'any').

Notice that tasks will be started based on the cron's system
daemon's notion of time and timezones.

Output of the crontab jobs (including errors) is sent through
email to the user the crontab file belongs to (unless redirected).

For example, you can run a backup of all your user accounts
at 5 a.m every week with:
5 * * 1 tar -zcf /var/backups/home.tgz /home/

For more information see the manual pages of crontab(5) and cron(8)
m h dom mon dow command

* * * ¥ fetc/zabbix/cephstatus.sh
root@hyve-prox10: /etc/zabbix# I

#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
*

Buéc 5: Add bén zabbix va add templates Ceph:

Host
Host [P Tags viacros Inventory  Encryption  Value mapping
*Host name | Proxmox-Ceph-10.2.150.21
Visible name
Templates
Ceph by Zabbix agent 2 Unlink Unlink and clear
Select
* Host groups Select
Interfaces
Agent | 10.2.160 22 DNS 10050 L]
Agent | 10.2.150.21 DNS 10050 Remove
Agent | 10.2.150.23 DNS 10050 Remove
Agent | 10.2.150.30 DNS 10050 Remove
Agent | 10.2.150.29 DNS 10050 Remove
Add
Description -

| Clone

Budc 6: Check ki€m tra da oke chua va canh béo qua slack
Nan s (W AW T [NV}

Test item

Get value from host |v
* Host address | 10.2.150.29

Proxy |(no proxy) A

Value | HEALTH OK. .
Not supported

Previous value

] End of line sequence CRLF

Result Result converted to Text

Nan s (W T TEVE ]

Test item

Get value from host |v
* Host address | 10.2.150.30

Proxy |(no proxy) A

Value | Thu Oct 3 09:53:01 AM +07 2024
Not supported

Previous value

] End of line sequence CRLF

Result Result converted to Text

#5 - 13-10-2024 22:44 - Tran Quang Khai
- Trang thai thay d6i tir Resolved téi Closed

Tap tin

Port | 10050
rd Time | now
Prev. time

HEALTH OK Thu Oct 3 09:53:01 AM +07 2024

Get value and test

Port | 10050
e Time | now
Prev. time

Thu Oct 3 09:53:01 AM +07 2024

Get value and test
